<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@10012F=99</action>
    </script>
  </cheat>

  <cheat desc="Drain All CPU's Energy Now!">
    <script state="on">
      <action>maincpu.pd@100332=00000000</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pd@1001F2=02000200</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pd@1001F2=00000000</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL1"> <comment>Do not use bosses during main character select screen.  Graphical glitches occur until character dies or next match.</comment>
    <parameter>
      <item value="0x00">Fighter</item>
      <item value="0x01">Amazoness</item>
      <item value="0x02">Hercules</item>
      <item value="0x03">Werewolf</item>
      <item value="0x04">Minotaur</item>
      <item value="0x05">Golem</item>
      <item value="0x0B">Beast</item>
      <item value="0x07">Dragon</item>
      <item value="0x06">Hydra</item>
      <item value="0x08">Doppleganger</item>
      <item value="0x09">Pazuzu</item>
      <item value="0x0A">Archmage</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@1001D3=param</action>
      <action>maincpu.pb@100137=param</action>
    </script>
  </cheat>

  <cheat desc="Infinite Super PL1">
    <script state="run">
      <action>maincpu.pw@1001F0=0400</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pd@100292=02000200</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pd@100292=00000000</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL2"> <comment>Do not use bosses during main character select screen.  Graphical glitches occur until character dies or next match.</comment>
    <parameter>
      <item value="0x00">Fighter</item>
      <item value="0x01">Amazoness</item>
      <item value="0x02">Hercules</item>
      <item value="0x03">Werewolf</item>
      <item value="0x04">Minotaur</item>
      <item value="0x05">Golem</item>
      <item value="0x0B">Beast</item>
      <item value="0x07">Dragon</item>
      <item value="0x06">Hydra</item>
      <item value="0x08">Doppleganger</item>
      <item value="0x09">Pazuzu</item>
      <item value="0x0A">Archmage</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@100177=param</action>
      <action>maincpu.pb@100273=param</action>
    </script>
  </cheat>

  <cheat desc="Infinite Super PL2">
    <script state="run">
      <action>maincpu.pw@100290=0400</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
